package com.etixpert.evolution.gui.servlets;

public class Jsp {
 protected int id;
 protected String name;
 
 public int getId() {
	return id;
 }
 void setId(int id) {
	this.id = id;
 }
 public String getName() {
	
	 return name;
 }

 void setName(String name) {
	this.name = name;
 }
 
 public int hashCode() {
	 return name.hashCode();
 }
 public boolean equals(Object o) {
	 if (!(o instanceof String))
		 return super.equals(o);
	 else
		 return name.equalsIgnoreCase((String) o);
	 
 }
 
 public String toString() {
	 return name; 
 }
}
